#2159 reopened defect

pipe read waits for all requested data

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: Indefinite
Component: fs Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

The pipe's read call waits for the user requested data rather than what it received as required by the read call.

Attachments (1)

rtems-fifo-read.diff (2.7 KB) - added by Chris Johns on Dec 3, 2013 at 5:17:51 PM.
Return any available data from the pipe.

Download all attachments as: .zip

Change History (9)

Changed on Dec 3, 2013 at 5:17:51 PM by Chris Johns

Attachment: rtems-fifo-read.diff added

Return any available data from the pipe.

comment:1 Changed on Dec 3, 2013 at 5:18:02 PM by Chris Johns

Status: newassigned

comment:2 Changed on Dec 10, 2013 at 2:13:10 AM by Chris Johns

Resolution: fixed
Status: assignedclosed

comment:3 Changed on Dec 10, 2013 at 6:59:40 AM by Sebastian Huber

Resolution: fixed
Status: closedreopened, sebastian.huber@embedded-brains.de

This change lacks a test case.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:5 Changed on Mar 2, 2015 at 8:42:45 PM by Gedare

Milestone: 4.114.11.1

bump milestone

comment:6 Changed on Jan 26, 2017 at 7:16:00 AM by Sebastian Huber

Milestone: 4.11.14.11.2

comment:7 Changed on Mar 23, 2017 at 1:03:28 AM by Chris Johns

Milestone: 4.11.24.11.3

The 4.11.2 milestone is closing.

comment:8 Changed on Feb 7, 2018 at 11:13:21 PM by Chris Johns

Milestone: 4.11.3Indefinite

Needs funding to add the test case to get the patch merged.

Note: See TracTickets for help on using tickets.